IState

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IState

    com.change_vision.jude.api.inf.model.IState

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement, IVertex

All Known Implementing Classes:
  IFinalState

public IState
extends IVertex

Interface for States.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getDoActivity()` Get DoActivity.
`abstract String` | `getEntry()` Get Entry.
`abstract String` | `getExit()` Get Exit.
`abstract ITransition[]` | `getInternalTransitions()` Get Internal@Transitions.
`abstract IStateMachine` | `getSubmachine()` Get Submachine.
`abstract IVertex[]` | `getSubvertexes()` Get SubVertexes.
`abstract boolean` | `isSubmachineState()` Check if it is a SubmachineState.

Methods inherited from class com.change_vision.jude.api.inf.model.IVertex
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSubmachine

    public abstract IStateMachine getSubmachine()

  Get Submachine.

  Returns:
    Submachine.

### isSubmachineState

    public abstract boolean isSubmachineState()

  Check if it is a SubmachineState.

  Returns:
    true it is a SubmachineState / false it is not a SubmachineState

### getEntry

    public abstract String getEntry()

  Get Entry.

  Returns:
    Entry.

### getDoActivity

    public abstract String getDoActivity()

  Get DoActivity.

  Returns:
    DoActivity.

### getExit

    public abstract String getExit()

  Get Exit.

  Returns:
    Exit.

### getInternalTransitions

    public abstract ITransition[] getInternalTransitions()

  Get Internal@Transitions.

  Returns:
    The array of Internal@Transitions. Return the empty array if there is none.

### getSubvertexes

    public abstract IVertex[] getSubvertexes()

  Get SubVertexes.

  Returns:
    The array of SubVertexes. Return the empty array if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD